Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.rules.manager
Class RuleSetNotFoundException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.bea.p13n.exceptions.ApplicationException
                        |
                        +--com.bea.p13n.rules.internal.RuleException
                              |
                              +--com.bea.p13n.rules.manager.RuleSetNotFoundException

public class RuleSetNotFoundException
extends com.bea.p13n.rules.internal.RuleException

Signals that a rule set could not be located using a supplied rule set URI string.

See Also:
  Serialized Form

Constructor Summary
`RuleSetNotFoundException(java.lang.String ruleSetUri, java.lang.Object client)` Creates an instance of `RuleSetNotFoundException`.

Methods inherited from class com.bea.p13n.exceptions.ApplicationException
`getCause, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RuleSetNotFoundException

    public RuleSetNotFoundException(java.lang.String ruleSetUri,
                                    java.lang.Object client)

  Creates an instance of `RuleSetNotFoundException`.

  Parameters:
    `ruleSetUri` - the rule set URI that was used to locate the rule set.
    `client` - a reference to the `RuleSetPersistenceManager` that created this exception

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved